import { jsx } from "react/jsx-runtime";
import { LineSegment as LineSegment$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const LineSegment = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "LineSegment", ...props, children: /* @__PURE__ */ jsx(LineSegment$1, { weight: variant }) });
  }
);
LineSegment.displayName = "LineSegment";
Object.assign(LineSegment, { isGdsIcon: true });
export {
  LineSegment
};
